#!/bin/bash

# Dateipfade deklarieren
rulespath=/usr/share/X11/xkb/rules/evdev.xml
symbolspath=/usr/share/X11/xkb/symbols/de

backuprulespath=/usr/share/X11/xkb/rules/evdev.xml_oldbackup
backupsymbolspath=/usr/share/X11/xkb/symbols/de_oldbackup

# Um die Tasaturlayouts zu löschen, stelle die originalen Dateien durch die Sicherheitskopien, die während der Installtion erstellt wurden, wieder her.
if test -f "$backuprulespath";
then 
	echo "Die Deinstallation wird vorbereitet ..."
	echo "Für die Deinstallation sind Administratorrechte erforderlich."
    echo "Bitte geben Sie Ihr Passwort ein."
    
    sudo mv $backuprulespath $rulespath
    echo "Die Datei $rulespath wurde wiederhergestellt ..."

    # LXDE (Lubuntu)
    lxdeconfig=/usr/share/lxpanel/xkeyboardconfig/layouts.cfg
    backuplxdeconfig=/usr/share/lxpanel/xkeyboardconfig/layouts.cfg_oldbackup
    if test -f "$backuplxdeconfig";
    then
        sudo mv $backuplxdeconfig $lxdeconfig
        echo "Die LXDE Konfigurations-Datei $lxdeconfig wurde wiederhergestellt ..."
    fi
    
    if test -f "$backupsymbolspath";
    then
        sudo mv $backupsymbolspath $symbolspath
        echo "Die Datei $symbolspath wurde wiederhergestellt ..."
		sudo dpkg-reconfigure xkb-data
        echo ""
        echo "Die Deinstallation war ERFOLGREICH (eventuell Neustart erforderlich)."
        echo "Um die Deinstallation zu beenden, drücken Sie [ENTER]:"
        read warten
    else
        echo "Die Datei $backupsymbolspath existiert nicht."
        echo ""
        echo "HINWEIS: Anscheinend wurden die Tastaturlayouts (noch) nicht installiert."
        echo "Um das Terminal zu schließen, drücken Sie [ENTER]:"
        read warten
    fi 
    
else
    echo "Die Datei $backuprulespath existiert nicht."
    echo ""
    echo "HINWEIS: Anscheinend wurden die Tastaturlayouts (noch) nicht installiert."
    echo "Um das Terminal zu schließen, drücken Sie [ENTER]:"
    read warten
fi
